<bugID>1233676<Summary>Split animated property values into sub-components when possible</Summary><Description>Bug 1231457 adds animated property values to the timeline.
However, for some css properties, values may be really long, and actually made of several sub components.

The perfect example is transform: translateX(10px) rotate(1turn) skew(13deg);

It would make the UI easier to use if those transform functions were split into individual sub-properties. It would also make it more consistent with how animation software usually works.

So instead of something like this:

transform [translateX(10px) rot...]

You'd see something like this:

&gt; transform
    |
    +- translateX  [10px ]
    |
    +- rotate      [1turn]
    |
    +- skew        [13deg]

Where transform would have an expand/collapse button.

A similar thing could be done with filter, which is made up of a list of functions.

Maybe we could even expand this to properties that support multiple comma-separated values, like box-shadow.
Like:

  box-shadow: 5px 5px 0 0 red,
              -5px -5px 0 0 blue,
              5px -5px 0 0 green,
              -5px 5px 0 0 pink;

Where each of the shadow component can be animated separately.
These could be separated into a list of indexed shadows:

&gt; box-shadow
    |
    +- 0 [5px 5px 0 0 red    ]
    |
    +- 1 [-5px -5px 0 0 blue ]
    |
    +- 2 [5px -5px 0 0 green ]
    |
    +- 3 [-5px 5px 0 0 pink  ]</Description></bugID>